
Infrastructure - Task #3249

Story # 2416 (Closed): Secure CN Search Index

Provide index processing components full select access to search index.

2012-09-12 18:22 - Skye Roseboom

Status: Closed Start date: 2012-09-12

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.39-Block.5.4   

Milestone: CCI-1.1 Story Points:  

Product Version: *   

Description

With addition of security in the solr select servlet, the index processing component needs to be able to 'act' as a CN - in order to be

able to query and view non-public documents while processing index task updates.  In particular this effects processing

ORE/resource maps - which need to query the solr index for existence and to update science and data documents in the index with

respect to their data package field values.  (setting documents, isDocumentedBy, resourcemap fields).

History

#1 - 2012-09-24 21:19 - Skye Roseboom

- Subject changed from Update index processing to act as CN administrator to Provide index processing components full select access to search

index.

- Status changed from New to In Progress

#2 - 2012-09-25 19:54 - Skye Roseboom

- Status changed from In Progress to Testing

added an internal /adminSelect endpoint that uses default SolrRequestHandler to avoid D1 security read restrictions for components responsible for

building/maintaining the index data.

Built and tested on cn-dev.

Update to solrconfig.xml configuration for d1-cn-index solr core to add new /adminSelect endpoint.   

Also update to /etc/dataone/index/solr.properties file (dataone-cn-index deb project) and XpathDocumentParser.java (cn-index-processor project) to

configure index processing components to use new /adminSelect endpoint.

The new '/adminSelect' endpoint is not exposed to public through apache so not usable outside the CN for security purposes.

#3 - 2012-10-04 21:27 - Skye Roseboom

- Status changed from Testing to Closed

- translation missing: en.field_remaining_hours set to 0.0

#4 - 2012-10-05 16:19 - Skye Roseboom

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.39-Block.5.4
